<!--#include file="ini.inc"-->
<!--#include file="Password.inc" -->
<!--#include file="adovbs.inc"-->

<%

Function HrefAmbiente(rstAmbientes)

	if rstAmbientes("Amb_Imagen") <> "" then
		HrefAmbiente = "MapaAmbiente.asp?" 
	else
		HrefAmbiente = "ListadoSensores.asp?" 
	end if
	HrefAmbiente = HrefAmbiente & "ID_Amb=" & rstAmbientes("Amb_ID") & "&ID_Reg=" & rsAmbientes("Reg_ID")
End Function

%>

<HTML>
<HEAD>
	<TITLE>Piscitrol: Modulo</TITLE>
	<LINK REL="stylesheet" TYPE="text/css" HREF="estilos.css">
	<% =sReload %>
</HEAD>

<BODY>
	<%
	ID_Mod = Request.QueryString("ID_Mod")		'Modulo a mostrar
	Variable = Request.QueryString("Variable")	'Variable de mediciones a mostrar

	set rsModulo = server.CreateObject("ADODB.Recordset")
	sqlModulo = "SELECT Mod_ID, Mod_Nombre, Mod_Imagen " & _
				  "FROM t_Modulos " & _
				  "WHERE Mod_ID=" & ID_Mod & ";"
	'Response.Write sqlModulo
	rsModulo.open sqlModulo, cn, adOpenForwardOnly, adLockReadOnly, adCmdText
	
	'Si no hay variable definida selecciona la mas abundante en el modulo
	if Variable = "" or Unidades = "" then
		set rsCatSensor = server.CreateObject("ADODB.Recordset")
		sql = "SELECT CSe_Variable, CountOfSen_ID " & _
			  "FROM q_ModulosCatSensores " & _
			  "WHERE Amb_Modulo=" & ID_Mod & " " & _
			  "ORDER BY CountOfSen_ID DESC;"

		'Response.Write sql
		rsCatSensor.open sql, cn, adOpenForwardOnly, adLockReadOnly, adCmdText
		if not rsCatSensor.EOF then
			Variable = rsCatSensor("CSe_Variable")
		end if
	end if
	
	set rsAmbientes = server.CreateObject("ADODB.Recordset")
	sqlAmbientes = "SELECT t_Ambientes.Amb_ID, t_Ambientes.Amb_Nombre, q_AmbienteRegistro.Reg_ID, q_AmbienteRegistro.Reg_Nombre, q_AmbienteSensores.Sensores, q_AmbienteControles.Controles, q_AmbienteAlarmas.CuentaDeSen_ID AS Alarmas, t_Ambientes.Amb_Top, t_Ambientes.Amb_Left, t_Ambientes.Amb_Width, t_Ambientes.Amb_Height, t_Ambientes.Amb_Imagen " & _
				   "FROM (q_AmbienteSensores RIGHT JOIN (q_AmbienteControles RIGHT JOIN (t_Ambientes LEFT JOIN q_AmbienteAlarmas ON t_Ambientes.Amb_ID = q_AmbienteAlarmas.Amb_ID) ON q_AmbienteControles.Con_Ambiente = t_Ambientes.Amb_ID) ON q_AmbienteSensores.Sen_Ambiente = t_Ambientes.Amb_ID) LEFT JOIN q_AmbienteRegistro ON t_Ambientes.Amb_ID = q_AmbienteRegistro.Amb_ID " & _
				   "WHERE t_Ambientes.Amb_Modulo=" & ID_Mod & ";"
	'Response.Write sqlAmbientes
	rsAmbientes.open sqlAmbientes, cn, adOpenForwardOnly, adLockReadOnly, adCmdText
	%>

	<table border=0>
		<tr class=top>
			<td width=120px>LISTA</td>
				<td width=520px>
					<a href="Alarmas.asp" title="Ver listado de Alarmas en curso">Alarmas</a>
				</td>
			<td width=120px>MAPA</td>
		</tr>

		<tr class=top>
			<td><a href="ListadoModulos.asp" title="Ver listado de los Modulos">Modulos</a></td>
			<td class=title><% =rsModulo("Mod_Nombre") %></TD>
			<td><a href="MapaGeneral.asp" title="Ver mapa de los Modulos">Modulos</a></td>
		</tr>

		<tr class=top>
			<td><a href="ListadoAmbientes.asp?ID_Mod=<% =ID_Mod %>" title="Ver listado de los Ambientes">Ambientes</a></td>
			<td>Mapa de Ambientes</TD>
			<td>Ambientes</td>
		</tr>

		<tr>
			<td class="opcion" valign="top"><!-- OPCIONES -->
				<table align=center width="100%">
					<tr class="menu"><td align=center>Opciones</td></tr>
					<tr><td><a href="Salida.asp" title="Reiniciar como un nuevo usuario">Salir</a></td></tr>
				</table>
			</td>

			<td align="left" valign="top" colspan="2" style="position: relative;">
				<img src="Mapas\<% Response.Write rsModulo("Mod_Imagen") %>" 
				     width="640" 
					 height="400" 
					 usemap="#Map1" 
					 border="0" 
					 vspace="0"
					 hspace="0">
				<map name="Map1"><%
					Do
						if IsNumeric(rsAmbientes("Amb_Left")) And _
						   IsNumeric(rsAmbientes("Amb_Top")) And _
						   IsNumeric(rsAmbientes("Amb_Width")) And _
						   IsNumeric(rsAmbientes("Amb_Height")) Then
							%>
							<area shape="rect"
							      coords="<% Response.Write rsAmbientes("Amb_Left") & ", " & _
															rsAmbientes("Amb_Top") & ", " & _
															rsAmbientes("Amb_Left") + rsAmbientes("Amb_Width") & ", " & _
															rsAmbientes("Amb_Top") + rsAmbientes("Amb_Height") %>"
							      title="Ver ambiente <% Response.Write rsAmbientes("Amb_Nombre") %>"
							      href="<% =HrefAmbiente(rsAmbientes) %>">
							<%
						end if
						rsAmbientes.MoveNext								
					Loop Until rsAmbientes.EOF 
					%>
				</map>
				<%
				rsAmbientes.MoveFirst
				Do
					if IsNumeric(rsAmbientes("Amb_Left")) And _
					   IsNumeric(rsAmbientes("Amb_Top")) And _
					   IsNumeric(rsAmbientes("Amb_Width")) And _
					   IsNumeric(rsAmbientes("Amb_Height")) Then
						
					%>
					   <span style=" position: absolute;
									 left: <% Response.Write rsAmbientes("Amb_Left") %> ;
									 top: <% Response.Write rsAmbientes("Amb_Top") %> ;
									 width: <% Response.Write rsAmbientes("Amb_Width") %> ;
									 text-align: center;
									 overflow: hidden;">
							<a class="Mapa" style="text-decoration: none; 
								<% 
								if rsAmbientes("Alarmas")>0 Then
									Response.Write "color: red;"
								end if 
								%>" 
								title="Ver ambiente <% =rsAmbientes("Amb_Nombre") %>" href="<% =HrefAmbiente(rsAmbientes) %>">
								<% =rsAmbientes("Amb_Nombre") %><br> 
								<% =rsAmbientes("Reg_Nombre") %><br> 
							    <% 
								if not isnull(rsAmbientes("Sensores")) then
									Response.Write rsAmbientes("Sensores") & " Sensores<br>"
								end if
								if not isnull(rsAmbientes("Controles")) then
									Response.Write rsAmbientes("Controles") & " Controles<br>"
								end if
								if not isnull(rsAmbientes("Alarmas")) then
									Response.Write rsAmbientes("Alarmas") & " Alarmas<br>"
								end if
								%>
							</a>
						</span>
						<%
					end if
					rsAmbientes.MoveNext								
				Loop Until rsAmbientes.EOF 
			
				%>
			</td>
		</tr>
	</table>

</BODY>
</HTML>
